org.apache.commons.collections4.functors

## Class EqualPredicate<T>

- java.lang.Object
- - org.apache.commons.collections4.functors.EqualPredicate<T>

- All Implemented Interfaces:
    Serializable, Predicate<T>

      public final class EqualPredicate<T>
      extends Object
      implements Predicate<T>, Serializable

  Predicate implementation that returns true if the input is the same object as the one stored in this predicate by equals.
  Since:
    3.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EqualPredicate(T object)` Constructor that performs no validation.
    `EqualPredicate(T object, Equator<T> equator)` Constructor that performs no validation.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> Predicate<T>` | `equalPredicate(T object)` Factory to create the predicate.
    `static <T> Predicate<T>` | `equalPredicate(T object, Equator<T> equator)` Factory to create the identity predicate.
    `boolean` | `evaluate(T object)` Evaluates the predicate returning true if the input equals the stored value.
    `Object` | `getValue()` Gets the value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EqualPredicate

          public EqualPredicate(T object)

      Constructor that performs no validation. Use `equalPredicate` if you want that.
      Parameters:
        `object` - the object to compare to

    - #### EqualPredicate

          public EqualPredicate(T object,
                                Equator<T> equator)

      Constructor that performs no validation. Use `equalPredicate` if you want that.
      Parameters:
        `object` - the object to compare to
        `equator` - the equator to use for comparison
      Since:
        4.0

  - ### Method Detail

    - #### equalPredicate

          public static <T> Predicate<T> equalPredicate(T object)

      Factory to create the predicate.
      Type Parameters:
        `T` - the type that the predicate queries
      Parameters:
        `object` - the object to compare to
      Returns:
        the predicate

    - #### equalPredicate

          public static <T> Predicate<T> equalPredicate(T object,
                                                        Equator<T> equator)

      Factory to create the identity predicate.
      Type Parameters:
        `T` - the type that the predicate queries
      Parameters:
        `object` - the object to compare to
        `equator` - the equator to use for comparison
      Returns:
        the predicate
      Since:
        4.0

    - #### evaluate

          public boolean evaluate(T object)

      Evaluates the predicate returning true if the input equals the stored value.
      Specified by:
        `evaluate` in interface `Predicate<T>`
      Parameters:
        `object` - the input object
      Returns:
        true if input object equals stored value

    - #### getValue

          public Object getValue()

      Gets the value.
      Returns:
        the value
      Since:
        3.1

Copyright © 2001–2018 The Apache Software Foundation. All rights reserved.